com.genesyslab.wfm8.API.service.scheduleTrade852

## Class SchTradeHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeHolder
      extends java.lang.Object
      implements java.io.Serializable

  Trade Record Holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SchAgentDayHolder` | `agentDayHolder`
    `protected java.util.List<SchTrade>` | `schTrades`
    `protected int` | `schTradesNSizeIs`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `SchAgentDayHolder` | `getAgentDayHolder()` Gets the value of the agentDayHolder property.
    `java.util.List<SchTrade>` | `getSchTrades()` Gets the value of the schTrades property.
    `int` | `getSchTradesNSizeIs()` Gets the value of the schTradesNSizeIs property.
    `int` | `hashCode()`
    `void` | `setAgentDayHolder(SchAgentDayHolder value)` Sets the value of the agentDayHolder property.
    `void` | `setSchTrades(java.util.List<SchTrade> schTrades)` Sets the value of the schTrades property.
    `void` | `setSchTradesNSizeIs(int value)` Sets the value of the schTradesNSizeIs property.
    `java.lang.String` | `toString()`
    `SchTradeHolder` | `withAgentDayHolder(SchAgentDayHolder value)`
    `SchTradeHolder` | `withSchTrades(java.util.Collection<SchTrade> values)`
    `SchTradeHolder` | `withSchTrades(SchTrade... values)`
    `SchTradeHolder` | `withSchTradesNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### schTradesNSizeIs

          protected int schTradesNSizeIs

    - #### schTrades

          protected java.util.List<SchTrade> schTrades

    - #### agentDayHolder

          protected SchAgentDayHolder agentDayHolder

  - ### Constructor Detail

    - #### SchTradeHolder

          public SchTradeHolder()

  - ### Method Detail

    - #### getSchTradesNSizeIs

          public int getSchTradesNSizeIs()

      Gets the value of the schTradesNSizeIs property.

    - #### setSchTradesNSizeIs

          public void setSchTradesNSizeIs(int value)

      Sets the value of the schTradesNSizeIs property.

    - #### getSchTrades

          public java.util.List<SchTrade> getSchTrades()

      Gets the value of the schTrades property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schTrades property.

      For example, to add a new item, do as follows:

              getSchTrades().add(newItem);

      Objects of the following type(s) are allowed in the list `SchTrade`

    - #### getAgentDayHolder

          public SchAgentDayHolder getAgentDayHolder()

      Gets the value of the agentDayHolder property.
      Returns:
        possible object is `SchAgentDayHolder`

    - #### setAgentDayHolder

          public void setAgentDayHolder(SchAgentDayHolder value)

      Sets the value of the agentDayHolder property.
      Parameters:
        `value` - allowed object is `SchAgentDayHolder`

    - #### withSchTradesNSizeIs

          public SchTradeHolder withSchTradesNSizeIs(int value)

    - #### withSchTrades

          public SchTradeHolder withSchTrades(SchTrade... values)

    - #### withSchTrades

          public SchTradeHolder withSchTrades(java.util.Collection<SchTrade> values)

    - #### withAgentDayHolder

          public SchTradeHolder withAgentDayHolder(SchAgentDayHolder value)

    - #### setSchTrades

          public void setSchTrades(java.util.List<SchTrade> schTrades)

      Sets the value of the schTrades property.
      Parameters:
        `schTrades` - allowed object is `SchTrade`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.